> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get card balance account

> Returns a card balance account by ID, including balance details



## OpenAPI

````yaml /openapi-public.json get /v1/card-balance-accounts/{accountId}
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/card-balance-accounts/{accountId}:
    get:
      tags:
        - v1 - Card Balance Accounts
      summary: Get card balance account
      description: Returns a card balance account by ID, including balance details
      operationId: getCardBalanceAccount
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ExternalCardBalanceAccountV1Model'
components:
  schemas:
    ExternalCardBalanceAccountV1Model:
      type: object
      properties:
        id:
          type: string
          format: uuid
        companyEntityId:
          type: string
          format: uuid
        companyId:
          type: string
          format: uuid
        currency:
          type: string
          example: USD
        label:
          type: string
        status:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - ACTIVE
            - CLOSED
        balance:
          $ref: '#/components/schemas/ExternalCardBalanceAccountBalanceV1Model'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        primary:
          type: boolean
      description: List of records for the current page
    ExternalCardBalanceAccountBalanceV1Model:
      type: object
      properties:
        available:
          type: integer
          format: int64
        settled:
          type: integer
          format: int64
        reserved:
          type: integer
          format: int64
        currency:
          type: string
          example: USD
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````